import { Injectable } from '@nestjs/common';
import Redis from 'ioredis';
import { InjectRedis } from '@nestjs-modules/ioredis';

@Injectable()
export class RedisService {
  constructor(@InjectRedis() private readonly redis: Redis) {}

  /**
   * @returns {Promise<'OK'>} 返回 ‘OK’ 操作成功
   */
  async set(key: string, value: string | number | Buffer): Promise<void> {
    await this.redis.set(key, value);
  }

  async get(key: string): Promise<string> {
    return await this.redis.get(key);
  }
}
